org.rexxla.bsf.engines.rexx

## Class EnumerationWrapper

- java.lang.Object
- - org.rexxla.bsf.engines.rexx.EnumerationWrapper

- All Implemented Interfaces:
    java.util.Enumeration

      public class EnumerationWrapper
      extends java.lang.Object
      implements java.util.Enumeration

  Class to allow Rexx enumerating objects of classes implementing the Enumeration interface, if running under Java 1.1. It turns out that on all Java versions (tested on Sun's Windows versions of: 1.1.8, 1.2.2, 1.3.1_06, 1.4.1_01) "`Method.invoke()`" throws an "`IllegalAccessException`", if accessing public methods of inner classes. Java 1.5 does not allow identifiers to be named 'enum', hence renamed the variable.

      ------------------------ Apache Version 2.0 license -------------------------
          Copyright (C) 2001-2006 Rony G. Flatscher

          Licensed under the Apache License, Version 2.0 (the "License");
          you may not use this file except in compliance with the License.
          You may obtain a copy of the License at

              http://www.apache.org/licenses/LICENSE-2.0

          Unless required by applicable law or agreed to in writing, software
          distributed under the License is distributed on an "AS IS" BASIS,
          WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
          See the License for the specific language governing permissions and
          limitations under the License.
       -----------------------------------------------------------------------------

  Version:
    1.2, 2006-01-01
  Author:
    Rony G. Flatscher (WU-Wien/Wirtschaftsuniversität Wien, http://www.wu-wien.ac.at/english)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `version` Version string indicating version of this class (majorVersion*100+minorVersion concatenated with a dot and the sorted date of last change.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnumerationWrapper(java.util.Enumeration enumObject)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasMoreElements()` Implements the interface `java.util.Enumeration.hasMoreElements()`.
    `java.lang.Object` | `nextElement()` Implements the interface `java.util.Enumeration.nextElement()`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### version

          public static java.lang.String version

      Version string indicating version of this class (majorVersion*100+minorVersion concatenated with a dot and the sorted date of last change.

  - ### Constructor Detail

    - #### EnumerationWrapper

          public EnumerationWrapper(java.util.Enumeration enumObject)

  - ### Method Detail

    - #### hasMoreElements

          public boolean hasMoreElements()

      Implements the interface `java.util.Enumeration.hasMoreElements()`.
      Specified by:
        `hasMoreElements` in interface `java.util.Enumeration`

    - #### nextElement

          public java.lang.Object nextElement()

      Implements the interface `java.util.Enumeration.nextElement()`.
      Specified by:
        `nextElement` in interface `java.util.Enumeration`
      Throws:
        `java.util.NoSuchElementException` - raised, if using the Enumerator interface and moving beyond the end of the supplier object.